<?PHP
/**
 * Custom exception class to be raised when downloading a file fails.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised when downloading a file fails.
 */
final class MDDownloadException extends Exception {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'Link could not be downloaded: ' . $this->getMessage();

    }
}
